#define MAX_GOBJ 8
#define NobackBf 0
#define Nopalette 0
#define CsikOn 7
#define CsikOff 8
#define BOFF 0
#define BON 1
struct RECT
	{
		unsigned char X,Y,Width,Height;	
	};

	struct VPORT
	{
		unsigned char Left,Top,Right,Bottom;	
	};

	struct GOBJ
	{
		int X,Y;			// (*) A sprite 16 bites előjeles koordinátája.
		unsigned char SprInd;		// (*) A sprite indexe az exportált munkamenetben
		unsigned char Flag;		// (*) 0. bit: jelzi, hogy a sprite be van-e kapcsolva, a 7. pedig, ha tükrözni kell.
		char *SprBackAddr;		// (*) A sprite háttér mentése számára lefoglalt mem. blokk kezdőcíme. Ha nem kell menteni a hátteret akkor az értéke 0!
		char *SprPalAddr;		// (*) A sprite palettájának címe. Ha nincs paletta, akkor értéke 0!
		int (*spritefunc)();		// (*) A sprite kirajzoló rutin kezdőcíme
		unsigned char SprWidth;		// A sprite szélessége
		unsigned char SprHeight;	// A sprite magassága
		unsigned char SprIndRef;	// Sprite index referencia. Azért kell, hogy el tudjuk dönteni kell-e újra inicializálni a sprite alap adatait (pl. RawAddr)
		char *SprRawAddr;		// Az adott sprite forrás adatai
		char *SprScrAddr;		// A sprite vágás utáni kezdőcíme a képernyőn v. háttér bufferben
		unsigned char SprClipSkipRow;	// A sprite felső vágásánál ezen a változón tárolódik, hogy hány sort kell felül kihagynia a sprite kirajzolónak
		struct RECT SprClip;		// A sprite vágás utáni dimenziói
		struct RECT SprPrevClip;	// A sprite előző fázisban értelmezett vágás utáni dimenziói
		unsigned char SprClipFlag;	// A sprite vágási állapotát tárolja le a sprite kirakónak
	};

struct GOBJ gameObjects[MAX_GOBJ];
struct GOBJ *goIndex[MAX_GOBJ];
char *cprght="(c)KKS2003";
char *introtext0="                                ";
char *introtext1="Döntsd el az amerikai szavazást!";
char *introtext2="1 -es játékos: Q billentyű";
char *introtext3="2 -es játékos: P billentyű" ;
char *introtext4="SPACE - Start"; 
char *introtext5="             ";
int szolam1[] = {3468,3468,3468,3349,3155,3155,3155,3155,3349,3349,3349,3349,3468,3468,3468,3468,3626,3626,3626,3626,3626,3626,3626,3626,3723,3723,3723,3677,3626,3626,3626,3626,3349,3349,3349,3349,3431,3431,3431,3431,3468,3468,3468,3468,3468,3468,3468,3468,3468,3468,3468,3468,3723,3723,3723,3723,3723,3723,3677,3677,3626,3626,3626,3626,3598,3598,3598,3598,3598,3598,3598,3598,3537,3537,3598,3598,3626,3626,3626,3626,3626,3626,3626,3626,3468,3468,3468,3468,3349,3349,3349,3349,3155,3155,3155,3155,0};
int szolam2[] = {2840,2840,2840,2603,2215,2215,2215,2215,3155,3155,3155,3155,3099,3099,3099,3099,2977,2977,2977,2977,2977,2977,2977,2977,2911,2911,2911,2911,2977,2977,2977,2977,2977,2977,2977,2977,2420,2420,2420,2420,2840,2840,2840,2840,2840,2840,2840,2840,2840,2840,2840,2840,2687,2687,2687,2687,2687,2687,3099,3099,3155,3155,3155,3155,3258,3258,3258,3258,3258,3258,3258,3258,3258,3258,3258,3258,3155,3155,3155,3155,3155,3155,3155,3155,2840,2840,2840,2840,2603,2603,2603,2603,2215,2215,2215,2215,0};
char pozicio;	// Csík pozíciója
char Index;  	// Index a visszaszámláláshoz
int Trump=0; 	// Trump nyert pontjai
int Biden=0; 	// Biden nyert pontjai
main()
{
	struct GOBJ *ptr;
	ptr = gameObjects;
	CLS();							// Képernyőtörlés
	DbInitGameLib(GRAPH_MODE4, gameObjects, MAX_GOBJ);	// Inicializálja a GameLib-et. 4 színű üzemmódba
	DbPageFullRamVid(); 					// A 0-ás, 1-es és a 3-as lapra RAM-ot tesz, a 2-es lapra pedig belapozza a video RAM-ot
	DbAssignRenderToVideo(); 				// Átirányítja a renderelést a képernyőre
	SetPalette4(PAL_WHITE,PAL_BLUE,PAL_YELLOW,PAL_RED);	// Paletta beállítása			
	SetBorder(PAL_WHITE);					// Keret beállítása
	// Sprite adatok megadása, nem használunk háttérpuffert és nem is vágjuk körbe a sprite-ot, mindent felülírnak kirakáskor:
	goIndex[0] = DbInitGameObject(ptr,7,114,2,GOFLG_VISIBLE, DbSprite4c4,NobackBf,Nopalette); 	//USA zászló
	goIndex[1] = DbInitGameObject(++ptr,0,50,0,GOFLG_VISIBLE, DbSprite4c4,NobackBf,Nopalette);	//Trump
	goIndex[2] = DbInitGameObject(++ptr,49,50,1,GOFLG_VISIBLE, DbSprite4c4,NobackBf,Nopalette);	//Biden
	goIndex[3] = DbInitGameObject(++ptr,24,0,3,GOFLG_NOTVISIBLE, DbSprite4c4,NobackBf,Nopalette);	//3
	goIndex[4] = DbInitGameObject(++ptr,24,0,4,GOFLG_NOTVISIBLE, DbSprite4c4,NobackBf,Nopalette);	//2
	goIndex[5] = DbInitGameObject(++ptr,24,0,5,GOFLG_NOTVISIBLE, DbSprite4c4,NobackBf,Nopalette);	//1
	goIndex[6] = DbInitGameObject(++ptr,24,0,6,GOFLG_NOTVISIBLE, DbSprite4c4,NobackBf,Nopalette);	//Vote
	goIndex[7] = DbInitGameObject(++ptr,31,91,7,GOFLG_VISIBLE, DbSprite4c4,NobackBf,Nopalette);	//Csík

	DbClipSprite(goIndex[0]); //USA zászló előkészítés
	DbDrawSprite(goIndex[0]); //USA zászló kirakás a videó memóriába

	DbClipSprite(goIndex[1]); // Trump képének előkészítése
	DbDrawSprite(goIndex[1]); // Trump képének kirakása

	DbClipSprite(goIndex[2]); // Biden képének előkészítése
	DbDrawSprite(goIndex[2]); // Biden képének kirakása

	SetInk(1);			// kiíró szín beállítása 
	PrintStrAt(1,24,cprght);	// copyright kiírása a 24. sor 1-es karakteréhez
	SetBeam(BOFF);                  // sugár kikapcsolása
	SetBeamPos(255,959-90*4,0);     // kezdőpont beállítása
	SetBeam(BON);			// sugár bekapcsolása
	SetBeamPos(768,959-90*4,0);	// téglalap megrajzolása
	SetBeamPos(768,959-101*4,0);
	SetBeamPos(255,959-101*4,0);
	SetBeamPos(255,959-90*4,0);
restart:
	pozicio=31;			// csík beállítása középre
	PrintStrAt(1,1,introtext1);	// szövegek kiírása
	PrintStrAt(4,2,introtext2);
	PrintStrAt(4,3,introtext3);
	PrintStrAt(1,4,introtext0);
	PrintStrAt(10,5,introtext4);
	PrintStrAt(10,6,introtext5);
	PrintStrAt(2,13,"Q");
	PrintStrAt(31,13,"P");
	PrintStrAt(1,15,itos(Biden));	//Pontok kiírása, a szám stringgé alakításával
	PrintStrAt(30,15,itos(Trump));

	DbClipSprite(goIndex[7]);	//Csík előkészítése
	DbDrawSprite(goIndex[7]);	//Csík kirakása

	WaitForKeyPress(KEY_SPACE);	//Várakozás a szóközre
	PrintStrAt(1,1,introtext0);	//Szövegek letörlése szóközökkel
	PrintStrAt(1,2,introtext0);
	PrintStrAt(1,3,introtext0);
	PrintStrAt(1,5,introtext0);

	for(Index=3;Index<7;Index++)		//Visszaszámlálás 3. 4. 5. és 6. sprite megjelenítése
	{
		(Index==6) ? Sound(3723,15,15) : Sound(3349,12,15); 	// Ha a 6. sprite van megjelenítve C4 hang, ha nem akkor C3 hang kiadása
		goIndex[Index]->Flag = GOFLG_VISIBLE;			// Index. sprite láthatóságának bekapcsolása
		DbClipSprite(goIndex[Index]);				// Index. sprite előkészítése
		DbDrawSprite(goIndex[Index]);				// Index. sprite kirakása
		Sound(4095,15,0);					// "Néma" hang, azaz szünet
	}

	CsikTorles();			// Csík törlése az aktuális pozición
	goIndex[7]->SprInd = CsikOn;	// Csík sprite beállítása a teli sprite adataira



	while(pozicio<46 && pozicio>16)	// Ismétlés amíg a csík poziciója 46 vagy 16 nem lesz, azaz a szélső értékek közül valamelyik, ekkor nyert a játékos
	{
		if (IsKeyPress(KEY_Q)>0)  	// Q billentyű le volt nyomva és felengedve?
				{
		 		--pozicio;	// Ha igen akkor a poziciót csökkentjük
				}
		if (IsKeyPress(KEY_P)>0)  	// P billentyű le volt nyomva és felengedve?
				{
		 		++pozicio;	// Ha igen akkor a poziciót növeljükk
				}
	
		if (goIndex[7]->X != pozicio)			// Megváltozott a csík pozíciója? Ha igen ...
				{
				CsikTorles();			// Akkor tötöljük le a régi helyet
				}
		goIndex[7]->X=pozicio;				// Csík beállítása az új pozicíóba
		CsikKirakas();					// Csík megjelenítése
	}

	for (Index=0;Index<4;Index++)
	{
		CsikTorles();
		Sound(3723,6,15);
		CsikKirakas();
		Sound(4095,6,15);
	}

	pozicio == 46 ? Trump++ : Biden++;			// Valaki nyert. Pozíció = 46? Akkor Bidennek van egy plusz pontja, különben Trumpnak
	UsaHimnusz();					// UsaHimnusz eljárás meghívása, ami lejátsza az usa himmnuszt
goto restart;						// Kezdjük a játékot elölről
//	DbCloseGameLib();				// Ez a Gamelibet zárná be, de ide már nem jutunk soha el a végtelen játékciklus miatt
}

// Csík törlése az aktuális pozición
CsikTorles()
{
			goIndex[7]->SprInd = CsikOff;	// Csík sprite beállítása az üres sprite adataira
			DbClipSprite(goIndex[7]);	// Csík sprite előkészítése
			DbDrawSprite(goIndex[7]);	// Csík sprite kirakása az aktuális pozicióba, azaz eltüntetése a képről
}

// Csík megjelenítése az aktuális pozición
CsikKirakas()
{
			goIndex[7]->SprInd = CsikOn;	// Csík sprite beállítása a teli sprite adataira
			DbClipSprite(goIndex[7]);	// Csík sprite előkészítése
			DbDrawSprite(goIndex[7]);	// Csík sprite kirakása az aktuális pozicióba, azaz megjelenítése a képen
}

// Usa himnusz lejátszása 2 szólamban, különálló eljárás
UsaHimnusz()
{
int i;					// Változó létrehozása az eljáráson belül
	for(i=0;i<96;i++) 		// 96 db hangjegyünk van
		{
		Sound(szolam1[i],2,8);	// 1-es szólam megszólaltatása 40 ms-ig
		Sound(szolam2[i],2,9);	// 2-es szólam megszólaltatása 40 ms-ig
		Sound(szolam1[i],2,8);	// 1-es szólam megszólaltatása mégegyszer
		Sound(szolam2[i],2,9);	// 2-es szólam megszólaltatása mégegyszer
		}
}					// Visszatérés a hívóhoz (return)


#asm   // A grafikus munkaasztalból importált adatok. NE VÁLTOZTASD MEG!
		;{	Enumerált sprite indexek. Célszerű a főprogram elejére másolni!
				enum	SPR_IND_TRUMPK,
					SPR_IND_BIDENK,
					SPR_IND_USAFLAG,
					SPR_IND_3,
					SPR_IND_2,
					SPR_IND_1,
					SPR_IND_VOTETEXT2,
					SPR_IND_CSIK,
					SPR_IND_CSIK1

		;}

	GfxBaseAddr		dw	SpriteCount-GfxBaseAddr,0,0

	;{   Sprite-ok adatai (Automatikusan beemelve!)
	SpriteCount		db 9
	SpriteIndexArray
				dw	0,932,1864,8116,9018,9920,10822,11724,11746

	SpriteDataBuffer	ds	0,0
	DecompressBuffer	ds	0,0

	SpriteBaseAddr
	trumpk
				db	15			; A sprite szélessége byte-okban
				db	62			; A sprite magassága
				db	0,0,0,0,0,0,48,240,240,240,128,0,0,0,0,0,0,0,0,0,16,240,7,15,28,240,128,0,0,0,0,0
				db	0,0,0,112,7,15,15,15,30,224,0,0,0,0,0,0,0,0,195,15,120,15,15,15,60,128,0,0,0,0,0,0
				db	16,135,15,120,225,15,15,15,224,0,0,0,0,0,0,96,15,15,15,30,135,15,15,30,192,0,0,0,0,0,65,15
				db	15,15,15,15,15,15,15,120,0,0,0,0,0,195,15,15,15,240,240,195,15,15,28,224,0,0,0,0,135,15,15,15
				db	60,225,105,15,15,15,56,0,0,0,16,135,15,60,225,15,15,15,15,15,15,104,0,0,0,16,15,15,105,120,240,195
				db	15,15,15,30,192,0,0,0,48,15,15,15,15,15,15,15,15,15,224,0,0,0,0,48,15,15,15,15,15,15,15,15
				db	60,192,0,0,0,0,33,3,15,240,240,240,15,15,28,224,192,0,0,0,0,33,112,112,193,45,120,240,240,240,128,64
				db	0,0,0,0,97,60,225,15,105,15,120,224,0,0,64,0,0,0,0,97,15,15,15,105,15,72,0,0,0,80,128,0
				db	0,0,67,15,15,30,195,15,72,0,112,240,32,0,0,0,0,67,15,15,28,7,15,72,0,192,32,96,0,0,0,0
				db	67,60,225,15,105,15,64,16,128,0,192,0,0,0,0,67,120,15,15,195,15,192,16,16,192,192,0,0,0,0,195,195
				db	15,30,135,30,128,0,48,128,64,0,0,0,0,195,30,240,195,15,60,0,0,240,128,32,0,0,0,0,195,120,15,15
				db	15,104,0,0,0,0,32,0,0,0,0,131,75,28,224,56,192,0,0,0,0,48,0,0,0,0,135,195,240,240,240,0
				db	0,0,0,0,16,128,0,0,0,135,150,240,96,64,0,0,0,0,0,0,128,0,0,0,135,148,88,112,192,0,0,0
				db	0,0,0,192,0,0,0,135,135,88,32,192,0,0,0,0,48,0,64,0,0,16,135,15,88,176,192,0,0,0,0,32
				db	0,192,0,0,16,135,15,208,144,224,0,0,0,0,48,240,128,0,0,16,135,15,192,192,0,0,0,0,0,16,160,0
				db	0,0,16,15,15,128,64,16,0,0,0,0,0,48,0,0,0,16,15,30,128,96,16,128,0,0,0,0,16,0,0,0
				db	16,15,56,0,16,176,0,0,0,0,16,224,0,0,0,32,15,224,0,16,224,0,0,0,0,16,160,0,0,0,48,240
				db	192,0,0,0,0,0,0,0,0,32,0,0,0,48,224,96,0,0,0,0,0,0,0,0,64,0,0,0,0,240,48,128
				db	0,0,0,0,0,0,0,64,0,0,0,16,240,128,192,0,0,0,0,0,0,0,32,0,0,0,16,240,192,48,0,0
				db	0,0,0,0,0,32,0,0,0,48,240,224,16,128,0,0,0,0,0,0,48,0,0,0,48,240,240,0,192,0,0,0
				db	0,0,0,32,0,0,0,112,240,240,128,96,0,0,64,0,64,0,96,0,0,0,240,240,240,192,16,0,0,48,240,192
				db	48,192,0,0,16,240,240,240,224,0,192,0,0,0,0,192,0,0,0,48,240,240,240,240,0,48,0,0,0,16,128,0
				db	0,0,112,240,240,240,240,128,16,128,0,0,112,0,0,0,0,112,240,240,240,240,192,0,192,0,0,192,0,0,0,0
				db	240,240,240,240,240,224,0,96,0,16,128,0,0,0,16,240,240,240,240,240,240,0,48,128,32,0,0,0,0,48,240,240
				db	240,240,240,240,128,0,240,192,0,0,0,0,48,240,240,240,240,240,240,192,0,112,0,0,0,0,0,112,240,240,240,240
				db	240,240,224,0,64,0,0,0,0,0,112,240,240,240,240,240,240,240,0,64,0,0,0,0,0,240,240,240,240,240,240,240
				db	240,128,64,0,0,0,0,0,240,240,240,240,240,240,240,240,192,64,0,0,0,0,0,240,240,240,240,240,240,240,240,224
				db	32,0,0,0,0,0,240,240,240,240,240,240,240,240,240,32,0,0,0,0,0,240,240,240,240,240,240,240,240,240,160,0
				db	0,0,0,0,240,240,240,240,240,240,240,240,240,224,0,0,0,0,0,240,240,240,240,240,240,240,240,240,224,0,0,0
				db	0,0
	bidenk
				db	15			; A sprite szélessége byte-okban
				db	62			; A sprite magassága
				db	0,0,0,0,112,240,240,224,0,0,0,0,0,0,0,0,0,0,16,240,0,0,112,192,0,0,0,0,0,0,0,0
				db	0,112,0,0,0,0,96,0,0,0,0,0,0,0,0,0,192,0,0,0,0,16,128,0,0,0,0,0,0,0,16,0
				db	0,0,0,0,16,128,0,0,0,0,0,0,0,32,16,240,240,128,0,0,64,0,0,0,0,0,0,0,32,112,128,16
				db	128,16,0,64,0,0,0,0,0,0,0,48,192,0,48,0,16,128,32,0,0,0,0,0,0,0,48,0,0,48,0,0
				db	128,48,0,0,0,0,0,0,0,32,0,0,32,0,0,176,16,0,0,0,0,0,0,0,96,0,0,96,0,0,144,16
				db	128,0,0,0,0,0,0,192,0,0,64,0,32,80,128,128,0,0,0,0,0,0,128,0,0,64,0,48,64,128,192,0
				db	0,0,0,0,0,128,0,0,64,0,16,96,192,64,0,0,0,0,0,16,128,0,0,192,0,16,32,64,96,0,0,0
				db	0,0,16,128,0,0,64,0,16,176,64,32,0,0,0,0,0,48,0,0,0,64,0,0,144,0,32,0,0,0,0,0
				db	96,0,0,0,192,0,0,16,128,16,0,0,0,0,0,96,128,0,0,192,0,0,0,128,16,0,0,0,0,0,112,240
				db	192,16,128,0,0,0,192,16,128,0,0,0,0,32,48,192,16,0,0,240,0,64,16,128,0,0,0,0,32,64,0,16
				db	0,16,144,128,64,0,128,0,0,0,0,48,112,0,16,240,224,64,192,0,0,128,0,0,0,0,96,64,0,16,240,224
				db	192,64,0,0,192,0,0,0,0,64,0,0,0,0,16,128,64,0,0,192,0,0,0,0,128,0,0,0,0,0,192,64
				db	0,0,192,0,0,0,16,128,0,0,0,0,0,192,64,16,128,64,0,0,0,16,144,0,0,0,0,32,224,224,0,128
				db	64,0,0,0,48,16,128,0,0,0,48,208,144,0,192,192,0,0,0,96,16,128,0,0,0,48,240,16,160,192,192,0
				db	0,0,48,176,128,0,0,0,32,48,16,160,192,128,0,0,0,0,192,0,0,0,0,96,192,16,32,128,192,0,0,0
				db	0,64,0,0,0,0,64,192,48,64,128,128,0,0,0,0,64,0,0,0,0,112,128,48,0,16,128,0,0,0,0,96
				db	0,0,0,0,0,0,16,192,16,0,0,0,0,0,112,192,0,0,0,0,0,0,96,96,0,0,0,0,0,112,224,0
				db	0,0,0,0,0,48,192,0,0,0,0,0,64,0,0,0,0,0,0,0,96,0,0,0,0,0,0,96,0,0,0,0
				db	0,0,0,64,0,0,0,0,0,0,48,0,0,0,0,0,0,0,64,0,0,0,0,0,0,96,0,0,0,0,0,0
				db	0,64,0,0,0,0,0,0,96,0,0,0,0,0,0,0,224,0,0,0,0,0,0,96,0,0,0,0,0,0,48,160
				db	0,0,0,0,0,0,96,0,0,0,0,0,0,96,32,0,0,0,0,0,0,48,128,224,0,0,0,16,128,48,0,0
				db	0,0,0,0,0,224,48,240,0,0,240,0,240,128,0,0,0,0,0,0,48,0,80,0,16,192,16,240,192,0,0,0
				db	0,0,0,16,192,0,0,112,0,48,240,224,0,0,0,0,0,0,0,224,0,0,224,0,112,240,240,128,0,0,0,0
				db	0,0,48,0,48,128,0,240,240,240,192,0,0,0,0,0,0,16,128,112,0,16,240,240,240,240,0,0,0,0,0,0
				db	0,176,128,0,112,240,240,240,240,192,0,0,0,0,0,0,224,0,0,240,240,240,240,240,224,0,0,0,0,0,0,192
				db	0,16,240,240,240,240,240,240,0,0,0,0,0,0,192,0,48,240,240,240,240,240,240,192,0,0,0,0,0,192,0,112
				db	240,240,240,240,240,240,192,0,0,0,0,0,192,16,240,240,240,240,240,240,240,224,0,0,0,0,0,192,48,240,240,240
				db	240,240,240,240,240,0,0,0,0,0,192,112,240,240,240,240,240,240,240,240,128,0,0,0,0,192,240,240,240,240,240,240
				db	240,240,240,128,0,0,0,0,208,240,240,240,240,240,240,240,240,240,192,0,0,0,0,240,240,240,240,240,240,240,240,240
				db	240,192
	usaflag
				db	50			; A sprite szélessége byte-okban
				db	125			; A sprite magassága
				db	0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,240,224,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,48,128,240,240,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,224,240,240,112,224,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,48,240,240,240,48,240,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,240,240,192
				db	16,240,240,240,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,240,240,224,16,240,240,224,48,128,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	48,240,240,224,16,240,240,224,16,240,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,17,136,0,0,0,48,240,240,240,240,240,240,240,240,240,240,240,128,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255
				db	204,0,0,0,48,240,240,240,240,240,240,240,240,240,240,240,240,240,64,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,238,0,0,0,48,240,112,240,240,240,48,240,240,240
				db	176,240,240,240,176,240,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,238,34,0,0,0,48,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,240,240,224,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,48,192,16,240,240,224
				db	16,240,240,224,0,240,240,224,0,240,240,224,0,240,240,240,247,255,238,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,17,0,17,0,0,0,112,224,48,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,16,240
				db	240,240,128,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,17,0,0,0,112,224
				db	16,240,240,224,16,240,240,224,16,240,240,224,80,240,240,224,80,240,240,240,128,0,0,68,136,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,17,0,0,136,0,0,112,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240
				db	240,240,240,240,240,240,128,0,0,0,17,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,68
				db	0,0,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,176,240,240,240,176,240,128,0,0,0,0,204,34,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,34,0,0,240,240,240,240,48,240,240,240,48,240,240,240
				db	176,240,240,240,176,240,240,240,176,240,128,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	17,0,0,17,0,16,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,112,128,0,0,0
				db	0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,17,0,16,16,240,240,224,16,240,240,224
				db	16,240,240,224,16,240,240,224,0,240,240,224,0,240,128,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,119,187,255,221,0,32,48,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,16,240,240,240,16,240
				db	247,255,255,255,255,204,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,153,0,32,144,240,240,224
				db	144,240,240,224,80,240,240,224,80,240,240,224,80,240,240,240,80,240,247,255,255,255,255,136,0,255,204,0,238,0,0,0
				db	0,0,0,0,0,0,0,119,255,255,255,51,0,48,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240
				db	240,240,240,240,247,255,255,255,255,119,51,255,238,51,255,204,0,0,0,0,0,0,0,0,119,255,255,255,238,34,0,112
				db	240,240,240,240,240,240,240,240,240,240,240,240,240,240,176,240,240,240,176,240,240,240,247,255,255,255,255,255,255,255,255,255
				db	255,204,0,0,0,0,0,0,0,119,255,255,255,255,204,34,0,112,240,240,48,240,240,240,48,240,240,240,48,240,240,240
				db	176,240,240,240,176,240,240,240,247,255,255,255,255,255,255,255,255,255,255,238,0,0,0,0,0,0,0,255,255,255,255,255
				db	136,102,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,112,240,240,247,255,255,255,255,255
				db	255,255,255,238,0,0,0,0,0,0,0,0,0,255,255,255,255,238,0,68,16,240,240,224,16,240,240,224,16,240,240,224
				db	16,240,240,224,16,240,240,224,0,240,240,240,247,255,255,255,255,255,255,255,255,136,17,238,0,0,0,0,0,0,17,255
				db	255,255,255,238,0,204,16,240,240,224,48,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,16,240,240,240,247,255
				db	255,255,255,255,255,255,255,0,17,255,136,0,0,0,0,0,51,255,255,255,255,204,0,136,16,240,240,224,144,240,240,224
				db	208,240,240,224,208,240,240,224,80,240,240,224,80,240,240,240,247,255,255,255,255,255,255,255,255,0,51,255,136,0,0,0
				db	0,0,119,255,255,255,255,204,0,136,16,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240
				db	240,240,247,255,255,255,255,255,255,255,238,136,119,255,136,0,0,0,0,0,255,255,255,255,255,204,17,136,16,240,112,240
				db	240,240,240,240,240,240,240,240,240,240,176,240,240,240,176,240,240,240,176,240,128,0,0,0,0,0,0,0,51,0,0,0
				db	68,0,0,0,0,0,136,0,0,0,0,0,17,0,16,240,112,240,240,240,48,240,240,240,48,240,240,240,48,240,240,240
				db	176,240,240,240,176,240,128,0,0,0,0,0,0,0,34,17,0,0,68,0,0,0,0,17,0,0,0,0,0,0,51,0
				db	16,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,112,128,0,0,0,0,0,0,0
				db	17,17,0,0,68,0,0,0,0,34,0,0,0,0,0,0,34,0,16,224,16,240,240,224,16,240,240,224,16,240,240,224
				db	16,240,240,224,16,240,240,224,16,240,128,0,0,0,0,0,0,0,17,0,136,0,136,0,0,0,17,204,0,0,0,0
				db	0,0,102,0,48,224,48,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,16,240,240,240,16,240,128,0,0,0
				db	0,0,0,0,17,0,136,0,85,136,0,0,68,0,0,0,0,0,0,0,68,0,48,224,208,240,240,224,208,240,240,224
				db	208,240,240,224,208,240,240,224,80,240,240,224,80,240,128,0,0,0,0,0,0,0,17,17,0,0,0,136,0,0,68,0
				db	0,0,0,0,0,0,204,0,112,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240
				db	128,0,0,0,0,0,0,0,0,17,0,0,0,68,0,0,0,0,0,0,0,0,0,51,0,0,112,240,240,240,112,240
				db	240,240,240,240,240,240,176,240,240,240,176,240,240,240,176,240,240,240,128,0,0,0,0,0,0,0,34,17,0,0,0,68
				db	0,0,68,0,0,0,0,0,0,68,0,0,112,240,240,240,48,240,240,240,48,240,240,240,48,240,240,240,176,240,240,240
				db	176,240,240,240,128,0,0,0,0,0,0,0,34,0,0,0,0,68,0,0,204,0,0,0,0,0,17,0,0,0,112,240
				db	240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,112,240,240,247,255,255,255,255,255,255,255,238,0
				db	255,255,255,204,0,17,255,255,255,255,255,255,136,0,0,0,112,240,240,224,16,240,240,224,16,240,240,224,16,240,240,224
				db	16,240,240,224,16,240,240,240,247,255,255,255,255,255,255,255,238,0,255,255,255,136,0,51,255,255,255,255,255,238,102,0
				db	0,0,112,240,240,224,16,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,16,240,240,240,247,255,255,255,255,255
				db	255,255,238,0,255,255,255,0,0,119,255,255,255,255,255,255,204,0,0,0,112,240,240,224,208,240,240,224,208,240,240,224
				db	208,240,240,224,208,240,240,224,80,240,240,240,247,255,255,255,255,255,255,255,238,0,255,255,255,0,17,255,255,255,255,255
				db	255,255,136,0,0,0,112,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,247,255
				db	255,255,255,255,255,255,238,0,255,255,238,0,51,255,255,255,255,255,255,204,0,0,0,0,112,240,112,240,240,240,112,240
				db	240,240,240,240,240,240,176,240,240,240,176,240,240,240,176,240,247,255,255,255,255,255,255,255,255,17,255,255,255,0,119,255
				db	255,255,255,255,255,204,0,0,0,0,112,240,48,240,240,240,48,240,240,240,48,240,240,240,48,240,240,240,176,240,240,240
				db	176,240,247,255,255,255,255,255,255,255,255,51,255,255,255,255,255,255,255,255,255,255,255,204,0,0,0,0,112,192,0,240
				db	240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,112,247,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,204,0,0,0,0,112,224,16,240,240,224,16,240,240,224,16,240,240,224,16,240,240,224
				db	16,240,240,240,16,240,247,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,204,0,0,0,0
				db	48,224,48,240,240,224,16,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,16,240,247,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,204,0,0,0,0,48,224,208,240,240,224,208,240,240,224,208,240,240,224
				db	208,240,240,224,208,240,240,224,208,240,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,48,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,128,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,136,0,0,0,0,48,240,240,240,112,240,240,240,240,240
				db	240,240,176,240,240,240,176,240,240,240,176,240,240,240,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,34,17,0,0,0,0,0,16,240,240,240,48,240,240,240,48,240,240,240,48,240,240,240,48,240,240,240,176,240,240,240
				db	128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,16,240,240,192,0,240
				db	240,192,0,240,240,192,0,240,240,192,0,240,240,192,0,240,240,240,128,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,16,240,240,224,16,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240
				db	16,240,240,240,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,16,240
				db	240,224,16,240,240,224,16,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,128,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,16,240,240,224,208,240,240,224,208,240,240,224,208,240,240,224
				db	208,240,240,224,240,240,240,240,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0
				db	0,0,0,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,128,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,102,34,0,0,0,0,0,0,240,112,240,240,240,112,240,240,240,176,240
				db	240,240,176,240,240,240,176,240,240,240,176,240,247,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	34,0,0,0,0,0,0,240,48,240,240,240,48,240,240,240,48,240,240,240,48,240,240,240,48,240,240,240,176,240,247,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,102,0,0,0,0,0,0,192,0,240,240,192,0,240
				db	240,192,0,240,240,192,0,240,240,192,0,240,240,224,0,240,247,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,102,0,0,0,0,0,0,224,48,240,240,224,16,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240
				db	16,240,247,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,136,0,0,0,0,0,0,96,16,240
				db	240,224,16,240,240,224,16,240,240,224,16,240,240,240,16,240,240,240,16,240,247,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,204,0,0,0,0,0,0,112,208,240,240,224,208,240,240,224,208,240,240,224,208,240,240,224
				db	240,240,240,224,240,240,247,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,238,0,0,0,0,0
				db	0,48,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,247,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,238,0,0,0,0,0,0,48,240,240,240,240,240,240,240,240,240,240,240,240
				db	240,240,240,240,240,240,240,240,240,240,247,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0
				db	0,0,0,0,0,16,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,247,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,16,240,240,240,240,240,240,240,240
				db	240,240,240,240,240,240,240,240,240,240,240,240,240,240,247,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,136,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,0,0,0,0,0,17,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,17,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0
				db	170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0
				db	0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17
				db	0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,17,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,204,0,0,0,0,0,0,0,0,0,0
				db	119,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,136,0,0,0,0,0,0,0,0,0,0,119,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,238,0,0,0,0,0,0,0
				db	0,0,0,0,119,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,204,0,0,0,0,0,0,0,0,0,0,0,119,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,204,0,0,0
				db	0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,136,0,0,0,0,0,0,0,0,0,0,0,0,0,17,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	136,0,0,0,0,0,0,0,0,0,0,0,0,0,17,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,119,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,204,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,17,204,0,0,51,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,255,255,204,119,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,17,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,17,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,238,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,255,255,255,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,119,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,255,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,238,238,17,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,51,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,204,0,0,0,51,204
				db	51,255,255,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,255,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,255,136,0,0,0,17,0,17,255,255,136,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,204,0
				db	0,0,0,0,0,255,255,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	17,255,204,0,255,255,255,255,255,255,255,255,255,255,255,255,136,0,0,0,0,0,0,51,255,238,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,204,0,119,255,255,255,255,255,255,238,0,255
				db	119,255,204,0,0,0,0,0,0,51,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,34,136,0,102,0,0,0,0,0,17,0,0,0,34,102,119,0,0,0,0,0,0,34,0,17,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,34,0,0,0,0,0
				db	34,0,0,0,17,136,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0
				db	0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,51,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,136,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0,34,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,17,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,68,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,136,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,17,255,255,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,255
				db	238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,255,255
				db	136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,255,238,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,255,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,238,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,51,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,119,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,238,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,255,136,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,17,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,119,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0
	3
				db	15			; A sprite szélessége byte-okban
				db	60			; A sprite magassága
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,16,240,240,240,240,240,136,0,0,0,0,0,0,0,0,16,240,240,240,240,240,255,238,0,0,0,0,0,0,240
				db	240,240,240,240,240,240,240,241,0,0,0,0,0,0,240,240,240,240,240,240,240,240,241,238,0,0,0,0,240,240,240,240
				db	240,240,240,240,240,240,241,0,0,0,0,240,240,240,240,240,240,240,240,240,240,241,136,0,0,48,240,240,240,240,240,240
				db	240,240,240,240,240,196,0,0,48,240,240,240,240,240,240,240,240,240,240,240,196,0,0,48,240,240,240,240,240,240,240,240
				db	240,240,240,230,0,0,112,240,240,240,226,0,0,48,240,240,240,240,241,0,0,112,240,240,240,226,0,0,48,240,240,240
				db	240,241,0,0,240,240,240,241,204,0,0,0,112,240,240,240,240,136,0,240,240,240,241,0,0,0,0,112,240,240,240,240
				db	136,0,240,240,240,226,0,0,0,0,48,240,240,240,240,196,0,240,240,240,226,0,0,0,0,48,240,240,240,240,196,0
				db	112,240,240,226,0,0,0,0,48,240,240,240,240,196,0,112,240,240,226,0,0,0,0,48,240,240,240,240,196,0,48,240
				db	240,226,0,0,0,0,48,240,240,240,240,196,0,48,240,240,226,0,0,0,0,48,240,240,240,240,196,0,0,112,240,226
				db	0,0,0,0,48,240,240,240,240,136,0,0,112,240,226,0,0,0,0,48,240,240,240,240,136,0,0,112,240,226,0,0
				db	0,0,48,240,240,240,240,136,0,0,0,0,0,0,0,0,0,240,240,240,240,243,0,0,0,0,0,0,0,0,0,0
				db	240,240,240,240,226,0,0,0,0,0,0,0,240,240,240,240,240,240,240,204,0,0,0,0,0,0,0,240,240,240,240,240
				db	240,240,136,0,0,0,0,0,0,0,240,240,240,240,240,241,255,0,0,0,0,0,0,0,0,240,240,240,240,240,241,0
				db	0,0,0,0,0,0,0,0,240,240,240,240,240,240,136,0,0,0,0,0,0,0,0,240,240,240,240,240,240,255,136,0
				db	0,0,0,0,0,0,240,240,240,240,240,240,240,196,0,0,0,0,0,0,0,240,240,240,240,240,240,240,247,0,0,16
				db	240,240,241,0,0,0,16,240,240,240,240,240,136,0,16,240,240,241,0,0,0,16,240,240,240,240,240,204,0,240,240,240
				db	241,0,0,0,0,48,240,240,240,240,226,0,240,240,240,230,0,0,0,0,48,240,240,240,240,226,0,240,240,240,196,0
				db	0,0,0,48,240,240,240,240,226,48,240,240,240,196,0,0,0,0,16,240,240,240,240,241,48,240,240,240,196,0,0,0
				db	0,16,240,240,240,240,241,112,240,240,240,196,0,0,0,0,16,240,240,240,240,241,112,240,240,240,196,0,0,0,0,16
				db	240,240,240,240,241,112,240,240,240,226,0,0,0,0,16,240,240,240,240,241,112,240,240,240,226,0,0,0,0,16,240,240
				db	240,240,241,112,240,240,240,241,0,0,0,0,48,240,240,240,240,226,112,240,240,240,241,0,0,0,0,48,240,240,240,240
				db	226,48,240,240,240,240,226,0,0,16,240,240,240,240,240,196,48,240,240,240,240,226,0,0,16,240,240,240,240,240,196,0
				db	240,240,240,240,240,240,240,240,240,240,240,240,241,0,0,240,240,240,240,240,240,240,240,240,240,240,240,241,0,0,240,240
				db	240,240,240,240,240,240,240,240,240,240,241,0,0,16,240,240,240,240,240,240,240,240,240,240,240,238,0,0,16,240,240,240
				db	240,240,240,240,240,240,240,240,136,0,0,0,16,240,240,240,240,240,240,240,240,240,255,0,0,0,0,16,240,240,240,240
				db	240,240,240,240,240,136,0,0,0,0,0,0,48,240,240,240,240,240,247,255,0,0,0,0,0,0,0,48,240,240,240,240
				db	240,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0
	2
				db	15			; A sprite szélessége byte-okban
				db	60			; A sprite magassága
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,255,255,255,255,255,136,0,0,0,0,0,0,0,0,0,255,255,255,255,255,136,0,0,0,0,0,0,0,119
				db	255,255,255,255,255,255,255,255,0,0,0,0,0,0,119,255,255,255,255,255,255,255,255,0,0,0,0,0,119,255,255,255
				db	255,255,255,255,255,255,255,0,0,0,0,119,255,255,255,255,255,255,255,255,255,255,0,0,0,0,119,255,255,255,255,255
				db	255,255,255,255,255,0,0,0,17,255,255,255,255,255,255,255,255,255,255,255,238,0,0,17,255,255,255,255,255,255,255,255
				db	255,255,255,238,0,0,119,255,255,255,238,0,0,51,255,255,255,255,255,136,0,119,255,255,255,238,0,0,51,255,255,255
				db	255,255,136,17,255,255,255,255,0,0,0,0,119,255,255,255,255,204,17,255,255,255,255,0,0,0,0,119,255,255,255,255
				db	204,51,255,255,255,238,0,0,0,0,51,255,255,255,255,238,51,255,255,255,238,0,0,0,0,51,255,255,255,255,238,51
				db	255,255,255,238,0,0,0,0,51,255,255,255,255,238,51,255,255,255,204,0,0,0,0,51,255,255,255,255,238,51,255,255
				db	255,204,0,0,0,0,51,255,255,255,255,238,51,255,255,255,204,0,0,0,0,51,255,255,255,255,238,51,255,255,255,204
				db	0,0,0,0,51,255,255,255,255,238,17,255,255,255,204,0,0,0,0,119,255,255,255,255,204,17,255,255,255,204,0,0
				db	0,0,119,255,255,255,255,204,0,255,255,255,238,0,0,0,17,255,255,255,255,255,0,0,255,255,255,238,0,0,0,17
				db	255,255,255,255,255,0,0,255,255,255,238,0,0,0,17,255,255,255,255,255,0,0,51,255,255,255,0,0,0,119,255,255
				db	255,255,204,0,0,51,255,255,255,0,0,0,119,255,255,255,255,204,0,0,0,119,255,255,136,0,51,255,255,255,255,204
				db	0,0,0,0,119,255,255,136,0,51,255,255,255,255,204,0,0,0,0,0,0,0,0,17,255,255,255,255,204,0,0,68
				db	0,0,0,0,0,0,17,255,255,255,255,204,0,0,68,0,0,0,0,0,17,255,255,255,255,136,0,0,0,204,0,0
				db	0,0,0,17,255,255,255,255,136,0,0,0,204,0,0,0,0,0,17,255,255,255,255,136,0,0,0,204,0,0,0,0
				db	17,255,255,255,255,0,0,0,0,51,204,0,0,0,0,17,255,255,255,255,0,0,0,0,51,204,0,0,0,0,255,255
				db	255,255,0,0,0,0,0,119,204,0,0,0,0,255,255,255,255,0,0,0,0,0,119,204,0,0,0,119,255,255,238,0
				db	0,0,0,0,17,255,204,0,0,0,119,255,255,238,0,0,0,0,0,17,255,204,0,0,17,255,255,238,0,0,0,0
				db	0,0,119,255,204,0,0,17,255,255,238,0,0,0,0,0,0,119,255,204,0,0,17,255,238,0,0,0,0,0,0,0
				db	119,255,204,0,0,119,255,238,0,0,0,0,0,0,17,255,255,204,0,0,119,255,238,0,0,0,0,0,0,17,255,255
				db	204,0,17,255,255,255,255,255,255,255,255,255,255,255,255,204,0,17,255,255,255,255,255,255,255,255,255,255,255,255,204,0
				db	119,255,255,255,255,255,255,255,255,255,255,255,255,204,0,119,255,255,255,255,255,255,255,255,255,255,255,255,204,0,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,204,0,255,255,255,255,255,255,255,255,255,255,255,255,255,204,0,255,255,255,255
				db	255,255,255,255,255,255,255,255,255,204,51,255,255,255,255,255,255,255,255,255,255,255,255,255,204,51,255,255,255,255,255,255
				db	255,255,255,255,255,255,255,204,119,255,255,255,255,255,255,255,255,255,255,255,255,255,204,119,255,255,255,255,255,255,255,255
				db	255,255,255,255,255,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0
	1
				db	15			; A sprite szélessége byte-okban
				db	60			; A sprite magassága
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,15,15,15,15,15,15,15,15,12,0,0,0,0,0,15,15,15
				db	15,15,15,15,15,15,12,0,0,0,0,0,0,15,15,15,15,15,15,15,15,12,0,0,0,0,0,0,15,15,15,15
				db	15,15,15,15,12,0,0,0,0,0,0,7,15,15,15,15,15,15,15,12,0,0,0,0,0,0,0,15,15,15,15,15
				db	15,15,12,0,0,0,0,0,0,0,15,15,15,15,15,15,15,12,0,0,0,0,0,0,0,1,15,15,15,15,15,15
				db	12,0,0,0,0,0,0,0,1,15,15,15,15,15,15,12,0,0,0,0,0,0,0,0,3,15,15,15,15,15,12,0
				db	0,0,0,0,0,0,0,3,15,15,15,15,15,12,0,0,0,0,0,0,0,0,0,7,15,15,15,15,12,0,0,0
				db	0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0
				db	0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0
				db	0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0
				db	3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15
				db	15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15
				db	15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12
				db	0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0
				db	0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0
				db	0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0
				db	0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0
				db	0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3
				db	15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15
				db	15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15
				db	12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,3,15,15,15,15,8,0
				db	0,0,0,0,0,0,0,0,3,15,15,15,15,12,0,0,0,0,0,0,0,0,0,7,15,15,15,15,12,0,0,0
				db	0,0,0,0,0,3,15,15,15,15,15,15,8,0,0,0,0,0,0,0,3,15,15,15,15,15,15,8,0,0,0,0
				db	0,0,1,15,15,15,15,15,15,15,14,0,0,0,0,0,0,1,15,15,15,15,15,15,15,14,0,0,0,0,0,0
				db	15,15,15,15,15,15,15,15,15,12,0,0,0,0,0,15,15,15,15,15,15,15,15,15,12,0,0,0,0,7,15,15
				db	15,15,15,15,15,15,15,15,0,0,0,0,15,15,15,15,15,15,15,15,15,15,15,8,0,0,0,15,15,15,15,15
				db	15,15,15,15,15,15,8,0,0,15,15,15,15,15,15,15,15,15,15,15,15,15,8,0,15,15,15,15,15,15,15,15
				db	15,15,15,15,15,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0
	votetext2
				db	15			; A sprite szélessége byte-okban
				db	60			; A sprite magassága
				db	0,0,0,0,0,17,255,255,255,204,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,136,0,0,0,0,0,0
				db	0,0,119,255,255,255,255,255,255,0,0,0,0,0,0,0,17,255,255,255,255,255,255,255,136,0,0,0,0,0,0,51
				db	255,255,255,255,255,255,255,238,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,136,0,0,0,0,17,255,255,255
				db	255,221,255,255,255,255,204,0,0,0,0,51,255,255,255,255,221,255,255,255,255,238,0,0,0,0,119,255,255,255,255,136
				db	255,255,255,255,255,0,0,0,0,255,255,187,255,136,0,0,255,238,255,255,136,0,0,17,255,255,187,255,204,0,17,255
				db	238,255,255,204,0,0,51,255,255,51,255,255,0,119,255,238,119,255,238,0,0,51,255,204,0,119,255,0,119,255,0,17
				db	255,238,0,0,119,255,238,0,255,255,0,119,255,136,51,255,255,0,0,119,255,238,17,255,255,119,119,255,204,119,255,255
				db	0,0,255,255,238,68,255,238,255,187,255,153,51,255,255,136,17,255,255,255,238,255,255,255,255,255,187,187,255,255,204,17
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,204,17,255,255,255,255,255,255,255,255,255,255,255,255,255,204,51,255,255
				db	255,255,255,255,255,255,255,255,255,255,255,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,192,16,224,16,240
				db	128,112,240,224,112,240,192,0,0,16,224,16,192,48,240,224,112,240,224,112,240,192,0,0,0,224,16,192,112,144,224,112
				db	240,224,112,240,192,0,0,0,224,16,192,240,0,240,0,240,0,112,0,0,0,0,0,224,48,128,224,0,112,0,240,0
				db	112,0,0,0,0,0,112,48,128,224,0,112,0,240,0,112,240,192,0,0,0,112,48,128,224,0,112,0,240,0,112,240
				db	192,0,0,0,112,112,0,224,0,112,0,240,0,112,0,0,0,0,0,48,240,0,224,0,112,0,240,0,112,0,0,0
				db	0,0,48,240,0,240,0,240,0,240,0,112,0,0,0,0,0,48,224,0,112,144,224,0,240,0,112,240,192,0,0,0
				db	16,224,0,48,240,224,0,240,0,112,240,192,0,0,0,16,224,0,16,240,128,0,240,0,112,240,192,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				db	0,0,0,0,0,0,0,0,0,48,240,240,240,240,240,240,240,240,240,240,240,240,240,224,16,240,240,240,240,240,240,240
				db	240,240,240,240,240,240,192,16,240,240,240,240,240,240,240,240,240,240,240,240,240,192,16,240,240,240,176,240,240,240,240,240
				db	224,240,240,240,192,0,240,240,240,176,240,240,208,240,240,224,240,240,240,128,0,240,240,240,48,240,240,208,240,240,224,112
				db	240,240,128,0,112,240,192,0,112,240,208,240,240,0,16,240,240,0,0,48,240,224,0,240,240,128,240,240,128,48,240,224
				db	0,0,48,240,224,16,240,192,0,16,240,192,112,240,224,0,0,16,240,224,64,240,224,0,48,240,144,48,240,192,0,0
				db	0,240,224,224,240,240,0,112,240,176,176,240,128,0,0,0,112,240,240,240,240,0,112,240,240,240,240,0,0,0,0,48
				db	240,240,240,240,32,112,240,240,240,224,0,0,0,0,16,240,240,240,224,112,48,240,240,240,192,0,0,0,0,0,240,240
				db	240,240,240,240,240,240,240,128,0,0,0,0,0,48,240,240,240,240,240,240,240,224,0,0,0,0,0,0,16,240,240,240
				db	240,240,240,240,128,0,0,0,0,0,0,0,112,240,240,240,240,240,240,0,0,0,0,0,0,0,0,0,240,240,240,240
				db	240,128,0,0,0,0,0,0,0,0,0,16,240,240,240,192,0,0,0,0,0,0,0,0,0,0,0,0,240,128,0,0
				db	0,0,0,0
	csik
				db	2			; A sprite szélessége byte-okban
				db	10			; A sprite magassága
				db	255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255
	csik1
				db	2			; A sprite szélessége byte-okban
				db	10			; A sprite magassága
				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

	;}
	;{   A Scene-ek adatai (Automatikusan beemelve!)
	SceneCount		db 	0		; Érvénytelen adatok, csak azért kellenek, hogy a dt_80lib beforduljon
	SceneIndexArray
				dw	0
	SceneBaseAddr
				db	0
	;}


#endasm